/*----------------------------------------------------------------
 * menu.c
 *----------------------------------------------------------------
 */

#include <string.h>
#include <allegro.h>
#include "criterr.h"
#include "variable.h"
#include "init.h"
#include "game.h"
#include "animator.h"
#include "comix.h"
#include "sound.h"
#include "menu.h"
#include "texts.h"


//CHEAT
#define CHEAT_LIFE "THEMAGNIFICENTONE"
#define CHEAT_NKOTB "YOUNGGUNS"
#define CHEAT_SANTA "ONCEUPONATIMEONTHENORTHPOLE"
#define CHEAT_KILL_CIVIL "HANGEMHIGH"
#define CHEAT_NEXT_LEVEL "MYNAMEISNEXT"



//BITMAP *m_image[MAX_MENU_BITMAPS];


/*
	mouse_pointer = load_bitmap("data/gfx/c_hand.bmp", pal);
	mouse_pointer2 = load_bitmap("data/gfx/c_head.bmp", pal);
	mouse_shot = load_bitmap("data/gfx/cursor1.bmp", pal);
	set_mouse_sprite(mouse_pointer);

	game_screen = create_video_bitmap (SCREEN_W, SCREEN_H);
#ifdef TO_VIDEO
    acquire_bitmap(game_screen);
#endif
    set_clip(game_screen, 0, 0, 639, 479);
	clear(game_screen);
#ifdef TO_VIDEO
    release_bitmap(game_screen);
#endif

*/


void m_refresh()
{
#ifdef TO_VIDEO
    acquire_bitmap(game_screen);
	acquire_screen();
#endif
	blit(game_screen, screen, 0, 0, 0, 0, 640, 480);
#ifdef TO_VIDEO
    release_bitmap(game_screen);
	release_screen();
#endif
	}


int is_on(int X1, int Y1, int X2, int Y2)
{
	int yes = 0;
	if ((mouse_x>X1) && (mouse_x<X2)
		&& (mouse_y>Y1) && (mouse_y<Y2))
		yes = 1;
	return yes;
}


int is_clicked(int X1, int Y1, int X2, int Y2)
{
	int yes = 0;
	if ((mouse_b & 1) &&
		(mouse_x>X1) && (mouse_x<X2)
		&& (mouse_y>Y1) && (mouse_y<Y2))
		yes = 1;
	return yes;
}







//********************************************************
// menu MAIN
//********************************************************


int menu_main()
{
	int i;
	BITMAP *m_image[3];
	m_image[0] = load_bitmap("data/gfx/menu/menuleft.bmp", pal);
	m_image[1] = load_bitmap("data/gfx/menu/bck.bmp", pal);
	m_image[2] = load_bitmap("data/gfx/menu/wanteds.bmp", pal);
	//m_image[2] = load_bitmap("data/gfx/menu/m01b.bmp", pal);

	//set_mouse_sprite(mouse_pointer);


	tovy_delay(10);
	if (music_on)
	{
		s_music = load_sample("data/music/music1b.wav");
		if (music_volume)
			play_sample(s_music, 255*(music_volume/100), 127, 1000, 1);
	}



	do {


		show_mouse(NULL);
		set_mouse_sprite(mouse_pointer);

#ifdef TO_VIDEO
    acquire_bitmap(game_screen);
#endif
	clear(game_screen);
	blit(m_image[1], game_screen, 0, 0, 0, 140, 640, 200);
	masked_blit(m_image[0], game_screen, 0, 0, 0, 76, 139, 310);
	masked_blit(m_image[2], game_screen, 0, 0, 475, 315, 95, 117);
#ifdef TO_VIDEO
    release_bitmap(game_screen);
#endif


if (is_on(40, 170+76, 90, 205+76))
{
	set_mouse_sprite(mouse_pointer2);
}
if (is_on(40, 220+76, 122, 265+76))
{
	set_mouse_sprite(mouse_pointer2);
}
if (is_on(40, 270+76, 90, 305+76))
{
	set_mouse_sprite(mouse_pointer2);
}


if (is_clicked(475, 315, 565, 433))
{
	//NEW
	menu_topten(-9999);
}

		if (is_clicked(40, 170+76, 90, 205+76))
		{
			//NEW_GAME
			//menu_obtiznost();
			if (music_on)
			{
				for (i=255; i>60; i=i-15)
				{
					adjust_sample(s_music, i*(music_volume/100), 127, 1000, 1);
					tovy_delay(1);
				}
				stop_sample(s_music);
				destroy_sample(s_music);
			}
			load_level("levels.txt", 1);
			pocet_hitu = 0;
			pocet_zivotu = 3;
			pocet_zabitych = 0;
			score = 0;
			shot_last_time = 0;
			shot_show = 0;
			reload_last_time = 0;
			reload_show = 0;
			main_game();
			destroy_level();
			//break;
			if (music_on)
			{
				s_music = load_sample("data/music/music1b.wav");
				if (music_volume)
					play_sample(s_music, 255*(music_volume/100), 127, 1000, 1);
			}

		}

		if (is_clicked(40, 220+76, 122, 265+76))
		{
			//OPTION
			menu_option(0);
			while (mouse_b & 1);
		}
		if (is_clicked(40, 270+76, 90, 305+76))
		{
			//QUIT
			if (menu_yesno())
			{
				break;
			}
		}



		show_mouse(game_screen);
		m_refresh();
	} while (!(key[KEY_Q]));


	clear_keybuf();

	if (music_on)
	{
		for (i=255; i>60; i=i-15)
		{
			adjust_sample(s_music, i*(music_volume/100), 127, 1000, 1);
			tovy_delay(1);
		}
		stop_sample(s_music);
		destroy_sample(s_music);
	}



	show_mouse(NULL);

	destroy_bitmap(m_image[2]);
	destroy_bitmap(m_image[1]);
	destroy_bitmap(m_image[0]);
	return 0;
}


















//********************************************************
// menu GAME
//********************************************************

/*

int menu_game()
{
	BITMAP *m_image[3];
	m_image[0] = load_bitmap("data/gfx/menu/m01.bmp", pal);
	m_image[1] = load_bitmap("data/gfx/menu/m01a.bmp", pal);
	m_image[2] = load_bitmap("data/gfx/menu/m01b.bmp", pal);

	//set_mouse_sprite(mouse_pointer);


	tovy_delay(10);


	do {


		show_mouse(NULL);
		set_mouse_sprite(mouse_pointer);

#ifdef TO_VIDEO
    acquire_bitmap(game_screen);
#endif
	clear(game_screen);
	blit(m_image[0], game_screen, 0, 0, 0, 120, 640, 200);
#ifdef TO_VIDEO
    release_bitmap(game_screen);
#endif

#ifdef TO_VIDEO
    acquire_bitmap(game_screen);
#endif
	blit(m_image[2], game_screen, 0, 0, 336, 165+120, 138, 35);
#ifdef TO_VIDEO
    release_bitmap(game_screen);
#endif


if (is_on(172,120+44, 172+65, 120+122+44))
{
	set_mouse_sprite(mouse_pointer2);
}


if (is_on(336,120+165, 336+138, 120+35+165))
{
	set_mouse_sprite(mouse_pointer2);
}

		show_mouse(game_screen);
		m_refresh();

	if (is_clicked(172,120+44, 172+65, 120+122+44))
	{
		//QUIT
		show_mouse(NULL);
#ifdef TO_VIDEO
    acquire_bitmap(game_screen);
#endif
	clear(game_screen);
	blit(m_image[0], game_screen, 0, 0, 0, 120, 640, 200);
	blit(m_image[1], game_screen, 0, 0, 171, 44+118, 65, 122);
#ifdef TO_VIDEO
    release_bitmap(game_screen);
#endif
		show_mouse(game_screen);
		m_refresh();

		//tovy_delay(60);
		if (menu_yesno())
			break;
	}

	if (is_clicked(336,120+165, 336+138, 120+35+165))
	{
		//NEW_GAME
		//menu_obtiznost();
		load_level("levels.txt", 1);
		pocet_hitu = 0;
		pocet_zivotu = 3;
		pocet_zabitych = 0;
		score = 0;
		shot_last_time = 0;
		shot_show = 0;
		reload_last_time = 0;
		reload_show = 0;
		main_game();
		destroy_level();
	}

	} while (!(key[KEY_Q]));
	clear_keybuf();
	show_mouse(NULL);
	destroy_bitmap(m_image[2]);
	destroy_bitmap(m_image[1]);
	destroy_bitmap(m_image[0]);
	return 0;
}
*/









//********************************************************
// menu OBTIZNOST
//********************************************************



int menu_obtiznost()
{
	BITMAP *m_image[4];
	m_image[0] = load_bitmap("data/gfx/menu/m02.bmp", pal);
	m_image[1] = load_bitmap("data/gfx/menu/m02a.bmp", pal);
	m_image[2] = load_bitmap("data/gfx/menu/m02b.bmp", pal);
	m_image[3] = load_bitmap("data/gfx/menu/m02c.bmp", pal);

	set_mouse_sprite(mouse_pointer);

#ifdef TO_VIDEO
    acquire_bitmap(game_screen);
#endif
	clear(game_screen);
#ifdef TO_VIDEO
    release_bitmap(game_screen);
#endif
	m_refresh();

	tovy_delay(10);
	//while (mouse_b && 1);

	do {


		show_mouse(NULL);
		set_mouse_sprite(mouse_pointer);

#ifdef TO_VIDEO
    acquire_bitmap(game_screen);
#endif
	clear(game_screen);
	blit(m_image[0], game_screen, 0, 0, 0, 0, 640, 480);
#ifdef TO_VIDEO
    release_bitmap(game_screen);
#endif


if (is_on(0,0,214,480))
{
	set_mouse_sprite(mouse_pointer2);
#ifdef TO_VIDEO
    acquire_bitmap(game_screen);
#endif
	blit(m_image[1], game_screen, 0, 0, 0, 0, 214, 480);
#ifdef TO_VIDEO
    release_bitmap(game_screen);
#endif
}

if (is_on(214, 0, 423, 480))
{
	set_mouse_sprite(mouse_pointer2);
#ifdef TO_VIDEO
    acquire_bitmap(game_screen);
#endif
	blit(m_image[2], game_screen, 0, 0, 214, 0, 209, 480);
#ifdef TO_VIDEO
    release_bitmap(game_screen);
#endif
}

if (is_on(423, 0, 640, 480))
{
	set_mouse_sprite(mouse_pointer2);
#ifdef TO_VIDEO
    acquire_bitmap(game_screen);
#endif
	blit(m_image[3], game_screen, 0, 0, 423, 0, 217, 480);
#ifdef TO_VIDEO
    release_bitmap(game_screen);
#endif
}

		show_mouse(game_screen);
		m_refresh();


		if (is_clicked(0,0,214,480))
		{
			// GOOD
			obtiznost = 0;
			break;
		}

		if (is_clicked(214, 0, 423, 480))
		{
			// BAD
			obtiznost = 1;
			break;
		}

		if (is_clicked(423, 0, 640, 480))
		{
			// UGLY
			obtiznost = 2;
			break;
		}


	} while (!(key[KEY_Q]));    /* Loop until a key is pressed */

//		if (key[KEY_Q])
	clear_keybuf();


	show_mouse(NULL);

	destroy_bitmap(m_image[3]);
	destroy_bitmap(m_image[2]);
	destroy_bitmap(m_image[1]);
	destroy_bitmap(m_image[0]);

	/*
	load_level("levels.txt", 1);
	pocet_hitu = 0;
	pocet_zivotu = 3;
	pocet_zabitych = 0;
	score = 0;

	shot_last_time = 0;
	shot_show = 0;
	reload_last_time = 0;
	reload_show = 0;

	main_game();
	destroy_level();
	*/
	return 0;
}











//********************************************************
// menu OPTION
//********************************************************



int menu_option(int type)
{
	BITMAP *m_image[8];
	int mouse_on = 0, Y;
	int quit = 0;
	m_image[0] = load_bitmap("data/gfx/menu/menuhang.bmp", pal);
	m_image[1] = load_bitmap("data/gfx/menu/hangmen.bmp", pal);
	m_image[2] = load_bitmap("data/gfx/menu/mute.bmp", pal);
	//m_image[3] = load_bitmap("data/gfx/menu/menuleft.bmp", pal);
	m_image[3] = load_bitmap("data/gfx/menu/cancel.bmp", pal);
	m_image[4] = load_bitmap("data/gfx/menu/bck.bmp", pal);
	m_image[5] = load_bitmap("data/gfx/menu/difgood.bmp", pal);
	m_image[6] = load_bitmap("data/gfx/menu/difbad.bmp", pal);
	m_image[7] = load_bitmap("data/gfx/menu/difugly.bmp", pal);

	//set_mouse_sprite(mouse_pointer);


	//tovy_delay(10);
	while (mouse_b & 1);
	set_mouse_sprite(mouse_pointer);

	do {
		show_mouse(NULL);

#ifdef TO_VIDEO
    acquire_bitmap(game_screen);
#endif
	clear(game_screen);
	blit(m_image[4], game_screen, 0, 0, 0, 140, 640, 200);
	masked_blit(m_image[0], game_screen, 0, 0, 220, 0, 365, 480);
	//if (type)
	masked_blit(m_image[3], game_screen, 0, 0, 40, 280, 71, 42);
	//else
	//	masked_blit(m_image[3], game_screen, 0, 0, 40, 280, 71, 42);
	masked_blit(m_image[1], game_screen, 0, 0, 220+88, 100+101-music_volume, 40,
 134);
	masked_blit(m_image[1], game_screen, 40, 0, 220+162, 100+101-sound_volume, 40,
 134);
	masked_blit(m_image[1], game_screen, 80, 0, 220+244, 100+mouse_sensitivity, 40,
 134);
	if (music_volume ==0)
		masked_blit(m_image[2], game_screen, 0, 0, 220+88+10, 100+20+100, 28, 31);
	if (sound_volume ==0)
		masked_blit(m_image[2], game_screen, 0, 0, 220+162+10, 100+20+100, 28, 31);

	if (obtiznost == 0)
		masked_blit(m_image[5], game_screen, 0, 0, 280, 350, 259, 115);
	if (obtiznost == 1)
		masked_blit(m_image[6], game_screen, 0, 0, 280, 350, 259, 87);
	if (obtiznost == 2)
		masked_blit(m_image[7], game_screen, 0, 0, 280, 350, 259, 87);


#ifdef TO_VIDEO
    release_bitmap(game_screen);
#endif

		show_mouse(game_screen);
		m_refresh();
		set_mouse_sprite(mouse_pointer);

		if (mouse_b && 1)
		{
			if (mouse_on == 1)
			{
				music_volume += Y - mouse_y;
				Y = mouse_y;
				if (music_volume>100)
					music_volume = 100;
				if (music_volume<0)
					music_volume = 0;
				if (music_on)
					adjust_sample(s_music, 255*(music_volume/100), 127, 1000, 1);

			}
			if (mouse_on == 2)
			{
				sound_volume += Y - mouse_y;
				Y = mouse_y;
				if (sound_volume>100)
					sound_volume = 100;
				if (sound_volume<0)
					sound_volume = 0;
				set_volume(sound_volume*2, music_volume*2);
			}
			if (mouse_on == 3)
				//) && ((Y>mouse_y+20) || (Y<mouse_y-20))
			{
				mouse_sensitivity += mouse_y - Y;
				Y = mouse_y;
				if (mouse_sensitivity>100)
					mouse_sensitivity = 100;
				if (mouse_sensitivity<0)
					mouse_sensitivity = 0;
			}
		} else {
			if ((mouse_on == 1) || (mouse_on == 2))
			{
				//void set_volume(int digi_volume, int midi_volume);
				set_volume(sound_volume*2, music_volume*2);
			}
			if (mouse_on == 3)
			{
				set_mouse_speed(mouse_sensitivity/10, mouse_sensitivity/10);
			}

			mouse_on = 0;
		}

		if (is_on(40, 280, 110, 320))
		{
			set_mouse_sprite(mouse_pointer2);
		}
		if (is_clicked(40, 280, 110, 320))
		{
			quit = 1;
		}




		if ((is_clicked(220+88, 100, 220+128, 240)) && !(mouse_on))
		{
			Y = mouse_y;
			mouse_on = 1;
		}
		if ((is_clicked(220+162, 100, 220+202, 240)) && !(mouse_on))
		{
			Y = mouse_y;
			mouse_on = 2;
		}
		if ((is_clicked(220+244, 100, 220+284, 240)) && !(mouse_on))
		{
			Y = mouse_y;
			mouse_on = 3;
		}
		if ((is_on(270, 340, 540, 480)) && !(mouse_on))
		{
			// difficulty
			set_mouse_sprite(mouse_pointer2);
		}
		if ((is_clicked(270, 340, 540, 480)) && !(mouse_on))
		{
			//DIFFICULTY
			menu_obtiznost();
		}







	} while (!(quit) && !(key[KEY_ESC]));    /* Loop until a key is pressed */

//		if (key[KEY_Q])
	clear_keybuf();


	show_mouse(NULL);
	destroy_bitmap(m_image[7]);
	destroy_bitmap(m_image[6]);
	destroy_bitmap(m_image[5]);
	destroy_bitmap(m_image[4]);
	destroy_bitmap(m_image[3]);
	destroy_bitmap(m_image[2]);
	destroy_bitmap(m_image[1]);
	destroy_bitmap(m_image[0]);
	return 0;
}








//********************************************************
// menu YES-NO
//********************************************************


int menu_ayesno()
{
	return 0;
}


int menu_yesno()
{
	BITMAP *m_image[1];
	int yes = -1;
	m_image[0] = load_bitmap("data/gfx/menu/yesno.bmp", pal);
	//CHEAT
	int cheat_flag = 0;	// detekce, zda = 1 se pise chat
	int cheat_pos = 0; //pozice v cheat-stringu
	char cheat[50];
	//char *cheat;
	char c;
	//FILE *ft;

	tovy_delay(8);
	clear_keybuf();

	do {


		if (keyboard_needs_poll())
			poll_keyboard();

		if ((cheat_flag) && !(key_shifts && KB_SHIFT_FLAG))
		{
			// vykonej prikaz cheatu
			//ft = fopen("aaa.txt", "a");
			//fprintf(ft, "%s\n", cheat);
			//fclose(ft);
			if (strcmp(cheat, CHEAT_LIFE)==0)
			{
				if (life_cheat)
					life_cheat = 0;
				else
					life_cheat = 1;
				yes = 0;
			}
			if (strcmp(cheat, CHEAT_NKOTB)==0)
			{
				destroy_level();
				load_level("levels.txt",1001);
				bang = 0;
				bang_time = 0;
				finish_time = 0;
				if (level_mode == 1)
				{
					init_small(0, 0);
					init_small(1, 1);
					init_small(2, 2);
					duel_time = cas;
				}
				yes = 0;
			}
			if (strcmp(cheat, CHEAT_SANTA)==0)
			{
				destroy_level();
				load_level("levels.txt",1000);
				yes = 0;
			}
			if (strcmp(cheat, CHEAT_NEXT_LEVEL)==0)
			{
				pocet_zabitych = max_level_bandit;
				yes = 0;
			}
			if (strcmp(cheat, CHEAT_KILL_CIVIL)==0)
			{
				if (kill_civil_cheat)
					kill_civil_cheat = 0;
				else
					kill_civil_cheat = 1;
				yes = 0;
			}
			cheat_flag = 0;
			strcpy(cheat, "");
			cheat_pos = 0;
		}

		if (!(cheat_flag) && (key_shifts && KB_SHIFT_FLAG))
		{
			// vykonej prikaz cheatu
			cheat_flag = 1;
		}

		if ((cheat_flag) && (key_shifts && KB_SHIFT_FLAG) &&
			(keypressed()) && (cheat_pos<50))
		{
			// vykonej prikaz cheatu
			//c = (char)(readkey());
			c = readkey();
			if ((c>='A') && (c<='Z'))
			{
				//strncat(cheat, &c, 1);
				cheat[cheat_pos] = c;
				cheat[cheat_pos+1] = '\0';
				//strcat(cheat, &c);
				//cheat[cheat_pos] = c;
				cheat_pos++;

			}
		}




		show_mouse(NULL);
		set_mouse_sprite(mouse_pointer);

#ifdef TO_VIDEO
    acquire_bitmap(game_screen);
#endif
	//clear(game_screen);
	masked_blit(m_image[0], game_screen, 0, 0, 205, 31, 231, 449);
#ifdef TO_VIDEO
    release_bitmap(game_screen);
#endif


if (is_on(0+205,120+31, 100+205, 180+31))
{
	set_mouse_sprite(mouse_pointer2);
}

if (is_on(115+205,120+50, 230+205, 180+50))
{
	set_mouse_sprite(mouse_pointer2);
}


		show_mouse(game_screen);
		m_refresh();

	if (is_clicked(0+205,120+31, 100+205, 180+31))
	{
		//YES
		yes = 1;
	}

	if (is_clicked(115+205,120+50, 230+205, 180+50))
	{
		//NO
		yes = 0;
	}

	} while (!(key[KEY_ESC]) && (yes == -1));

//		if (key[KEY_Q])
	clear_keybuf();
	while (mouse_b & 1);


	show_mouse(NULL);

	destroy_bitmap(m_image[0]);
	if (yes == -1)
		yes = 0;

	return yes;
}







int get_string(char *str, int count, int X, int Y)
{

	char c = '0';
	int str_pos = 0;
	//FILE *ft;
	BITMAP *m_image[1];
	m_image[0] = load_bitmap("data/gfx/menu/name.bmp", pal);

#ifdef TO_VIDEO
    acquire_bitmap(screen);
#endif
	masked_blit(m_image[0], screen, 0, 0, 180, 180, 327, 108);
#ifdef TO_VIDEO
    release_bitmap(screen);
#endif

	clear_keybuf();

		str[str_pos] = '[';
		str[str_pos+1] = '\0';
		screen_print_string(str, X, Y);


	while (c != (char)(13))
	{
		clear_keybuf();
		while (!keypressed());
		tovy_delay(4);

		c = readkey();
		//clear_keybuf();
		if ((c>='a') && (c<='z') && (str_pos<count))
		{
			c = 'A' + c - 'a';
			str[str_pos] = c;
			str[str_pos+1] = '\0';
			str_pos++;
			if (str_pos<count)
			{
				str[str_pos] = '[';
				str[str_pos+1] = '\0';
			}
			//screen_print_string(str, X, Y);
		}
		if ((c==' ') && (str_pos<count))
		{
			str[str_pos] = c;
			str[str_pos+1] = '\0';
			str_pos++;

			if (str_pos<count)
			{
				str[str_pos] = '[';
				str[str_pos+1] = '\0';
			}
			//screen_print_string(str, X, Y);
		}
		if ((c == (char)(8)) && (str_pos>0))
		{
			str[str_pos - 1]='\0';
			str_pos--;
			if (str_pos<count)
			{
				str[str_pos] = '[';
				str[str_pos+1] = '\0';
			}

		}
#ifdef TO_VIDEO
    acquire_bitmap(screen);
#endif
	masked_blit(m_image[0], screen, 0, 0, 180, 180, 327, 108);
#ifdef TO_VIDEO
    release_bitmap(screen);
#endif
			screen_print_string(str, X, Y);

	}

	/*
	ft = fopen("aaa.txt", "a");
	fprintf(ft, "STR: %s\n", str);
	fclose(ft);
	*/
	str[str_pos] = '\0';
	if (str_pos == 0)
	{
		strcpy(str,"NOBODY");
	}


	destroy_bitmap(m_image[0]);

	return 0;
}












int menu_topten(int score)
{
	FILE *fr;
	//char name[20];
	int i, j;
	int r_score[10];
	char r_name[10][20];
	BITMAP *m_image[2];
	m_image[0] = load_bitmap("data/gfx/menu/wanted.bmp", pal);
	//m_image[1] = load_bitmap("data/gfx/menu/name.bmp", pal);


	fr = fopen(TOPTEN_FILE, "r");
	for (i=0; i<10; i++)
	{
		fscanf(fr, "%d\t", &r_score[i]);
		fgets(r_name[i], 20, fr);
	}
	fclose(fr);

	// vlozeni jmena, je-li vetsi score
	for (i=0; i<10; i++)
	{
		if (score>r_score[i])
		{
			for (j=8; j>=i; j--)
			{
				strcpy(r_name[j+1], r_name[j]);
				r_score[j+1] = r_score[j];
			}
/*
#ifdef TO_VIDEO
    acquire_bitmap(screen);
#endif
	masked_blit(m_image[1], screen, 0, 0, 180, 180, 327, 108);
#ifdef TO_VIDEO
    release_bitmap(screen);
#endif
	*/
			get_string(r_name[i], 20, 235, 240);
			//strcpy(r_name[i],"\n");
			r_score[i] = score;
			//get_string(char *str, int count, int X, int Y);
			//FIXME: ulozit soubor
			fr = fopen(TOPTEN_FILE, "w");
			for (j=0; j<10; j++)
			{
				fprintf(fr, "%d\t", r_score[j]);
				fputs(r_name[j], fr);
				if (j==i)
					fprintf(fr, "\n");
			}
			fclose(fr);
			break;
		}
	}




#ifdef TO_VIDEO
    acquire_bitmap(game_screen);
#endif
	clear(game_screen);
	blit(m_image[0], game_screen, 0, 0, 150, 22, 361, 446);
#ifdef TO_VIDEO
    release_bitmap(game_screen);
#endif


	for (i=0; i<10; i++)
	{
		print_num_dolar(r_score[i], 180, i*27+160);
		print_string(r_name[i], 290, i*27+168);
	}


	tovy_delay(20);

	{
		show_mouse(NULL);

#ifdef TO_VIDEO
    acquire_bitmap(game_screen);
	acquire_bitmap(screen);
#endif
	blit(game_screen, screen, 0, 0, 0, 0, 640, 480);
#ifdef TO_VIDEO
	release_bitmap(screen);
    release_bitmap(game_screen);
#endif
	show_mouse(game_screen);

	} while (!(key[KEY_ESC]) && !(mouse_b && 1));

	destroy_bitmap(m_image[0]);
	//destroy_bitmap(m_image[1]);
	tovy_delay(12);
	return 0;
}

