
#include <stdio.h>
#include <stdarg.h>
#include <string.h>
#include <allegro.h>
#include "criterr.h"       /* prototype for `critical_error' */
#include "variable.h"
#include "texts.h"



int print_num(int number, int X, int Y)
{
	int position;
	// no zkusim rekurzivne
	if (number>9)
		position = 1 + print_num(number/10, X, Y);
	else
	{
		position = 0;
	}
	number = number % 10 + 1;

#ifdef TO_VIDEO
    acquire_bitmap(game_screen);
#endif
	masked_blit(bfont1, game_screen, number*NUMBER_WIDTH, 0, position*NUMBER_WIDTH+X, Y, NUMBER_WIDTH, NUMBER_HEIGHT);
#ifdef TO_VIDEO
    release_bitmap(game_screen);
#endif
	return position;
}



int screen_print_num(int number, int X, int Y)
{
	int position;
	// no zkusim rekurzivne
	if (number>9)
		position = 1 + screen_print_num(number/10, X, Y);
	else
	{
		position = 0;
	}
	number = number % 10 + 1;

#ifdef TO_VIDEO
    acquire_bitmap(screen);
#endif
	masked_blit(bfont1, screen, number*NUMBER_WIDTH, 0, position*NUMBER_WIDTH+X, Y, NUMBER_WIDTH, NUMBER_HEIGHT);
#ifdef TO_VIDEO
    release_bitmap(screen);
#endif
	return position;
}





int print_num_dolar(int number, int X, int Y)
{
	int position;
	// no zkusim rekurzivne
	if (number>10)
		position = 1 + print_num(number/10, X, Y);
	else
	{
		position = 0;
	}
	number = number % 10 + 1;

#ifdef TO_VIDEO
    acquire_bitmap(game_screen);
#endif
	masked_blit(bfont1, game_screen, number*NUMBER_WIDTH, 0, position*NUMBER_WIDTH+X, Y, NUMBER_WIDTH, NUMBER_HEIGHT);
	masked_blit(bfont1, game_screen, 0, 0, (position+1)*NUMBER_WIDTH+X, Y, NUMBER_WIDTH, NUMBER_HEIGHT);
#ifdef TO_VIDEO
    release_bitmap(game_screen);
#endif
	return position;
}


int screen_print_num_dolar(int number, int X, int Y)
{
	int position;
	// no zkusim rekurzivne
	if (number>10)
		position = 1 + screen_print_num(number/10, X, Y);
	else
	{
		position = 0;
	}
	number = number % 10 + 1;

#ifdef TO_VIDEO
    acquire_bitmap(screen);
#endif
	masked_blit(bfont1, screen, number*NUMBER_WIDTH, 0, position*NUMBER_WIDTH+X, Y, NUMBER_WIDTH, NUMBER_HEIGHT);
	masked_blit(bfont1, screen, 0, 0, (position+1)*NUMBER_WIDTH+X, Y, NUMBER_WIDTH, NUMBER_HEIGHT);
#ifdef TO_VIDEO
    release_bitmap(screen);
#endif
	return position;
}





void print_string(char *string, int X, int Y)
{
	int size, i;
	char c;
	int position;
	size=strlen(string);
	for (i=0; i<size+1; i++)
	{
		c = string[i];
		if (((c>='A') && (c<='Z')) || (c=='['))
		{
			position = (int)(c - 'A');
#ifdef TO_VIDEO
    acquire_bitmap(game_screen);
#endif
	masked_blit(bfont2, game_screen, position*FONT_WIDTH, 0, i*FONT_WIDTH+X, Y, FONT_WIDTH, FONT_HEIGHT);
#ifdef TO_VIDEO
    release_bitmap(game_screen);
#endif
		}

	}
}



void screen_print_string(char *string, int X, int Y)
{
	int size, i;
	char c;
	int position;
	size=strlen(string);
	for (i=0; i<size+1; i++)
	{
		c = string[i];
		if (((c>='A') && (c<='Z')) || (c=='['))
		{
			position = (int)(c - 'A');
#ifdef TO_VIDEO
    acquire_bitmap(screen);
#endif
	masked_blit(bfont2, screen, position*FONT_WIDTH, 0, i*FONT_WIDTH+X, Y, FONT_WIDTH, FONT_HEIGHT);
#ifdef TO_VIDEO
    release_bitmap(screen);
#endif
		}
	}
}
